Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kAtomic32s Struct Reference
kApi/Threads

## Description

Represents a 32-bit, atomically-accessed, signed integer.

See also
  kAtomic, k32s

Inheritance diagram for kAtomic32s:

## Public Member Functions
kBool | kAtomic32s_CompareExchange (kAtomic32s *atomic, k32s oldValue, k32s value)
| Conditionally exchanges the value of an atomic variable. More...
k32s | kAtomic32s_Decrement (kAtomic32s *atomic)
| Decrements an atomic variable. More...
k32s | kAtomic32s_Exchange (kAtomic32s *atomic, k32s value)
| Exchanges the value of an atomic variable. More...
k32s | kAtomic32s_Get (kAtomic32s *atomic)
| Gets the current value of an atomic variable. More...
k32s | kAtomic32s_Increment (kAtomic32s *atomic)
| Increments an atomic variable. More...
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...

## Related
#define | kAtomic32s_Init_(ATM, VAL) kxAtomic32s_Init_(ATM, VAL)
| Initializes a variable of type kAtomic32s.
#define | kAtomic32s_Increment_(ATM) kxAtomic32s_Increment_(ATM)
| Macro version of kAtomic32s_Increment.
#define | kAtomic32s_Decrement_(ATM) kxAtomic32s_Decrement_(ATM)
| Macro version of kAtomic32s_Decrement.
#define | kAtomic32s_Exchange_(ATM, VAL) kxAtomic32s_Exchange_(ATM, VAL)
| Macro version of kAtomic32s_Exchange.
#define | kAtomic32s_CompareExchange_(ATM, OLD, VAL) kxAtomic32s_CompareExchange_(ATM, OLD, VAL)
| Macro version of kAtomic32s_CompareExchange.
#define | kAtomic32s_Get_(ATM) kxAtomic32s_Get_(ATM)
| Macro version of kAtomic32s_Get.

The documentation for this struct was generated from the following file:

- Threads/kAtomic.h